/// <reference types="node" />
import { Readable } from "stream";
import { IDataRow } from "../model";
interface IVirtualDataStreamOption {
    chunkData: IDataRow[][];
    delayInMilliseconds?: number;
}
export declare class VirtualDataStream extends Readable {
    private chunkData;
    private delayInMilliseconds;
    static pushedCount: number;
    static isPushedDone: boolean;
    constructor({ chunkData, delayInMilliseconds }: IVirtualDataStreamOption);
    pushData(): Promise<void>;
    endPush(): void;
    _read(): void;
}
export {};
