"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class VirtualDataStream extends stream_1.Readable {
    constructor({ chunkData = [], delayInMilliseconds = 1000 }) {
        super({ objectMode: true });
        this.chunkData = [];
        this.delayInMilliseconds = 1000;
        this.chunkData = chunkData;
        this.delayInMilliseconds = delayInMilliseconds;
    }
    async pushData() {
        const delay = (ms) => new Promise(resolve => setTimeout(resolve, ms));
        for (const chunk of this.chunkData) {
            VirtualDataStream.pushedCount++;
            if (this.chunkData.length === VirtualDataStream.pushedCount) {
                VirtualDataStream.isPushedDone = true;
            }
            // push to stream
            this.push(chunk);
            await delay(this.delayInMilliseconds);
        }
    }
    endPush() {
        this.push(null);
    }
    _read() { }
}
exports.VirtualDataStream = VirtualDataStream;
VirtualDataStream.pushedCount = 0;
VirtualDataStream.isPushedDone = false;
