"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const google_maps_services_js_1 = require("@googlemaps/google-maps-services-js");
class DistanceCalculator {
    constructor({ apiKey }) {
        this.apiKey = apiKey;
        this.client = new google_maps_services_js_1.Client({});
    }
    async simpleDistance({ fromAddr, toAddrs }) {
        try {
            const result = await this.client.distancematrix({
                params: {
                    key: this.apiKey,
                    origins: [fromAddr],
                    destinations: toAddrs
                },
                timeout: 50000
            });
            return result.data;
        }
        catch (error) {
            throw error;
        }
    }
}
exports.DistanceCalculator = DistanceCalculator;
