"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const csv = require("fast-csv");
const csv_writer_1 = require("csv-writer");
class ProcessFile {
    constructor({ filePath }) {
        this.filePath = path.resolve(filePath);
    }
    readFilePromise() {
        const dataRow = [];
        if (!this.filePath) {
            throw new Error('Input file .csv not found');
        }
        return new Promise((resolve, reject) => {
            fs.createReadStream(this.filePath)
                .pipe(csv.parse({ headers: true }))
                .on('error', error => reject(error))
                .on('data', row => {
                dataRow.push(row);
            })
                .on('end', (rowCount) => {
                console.log(`Parsed ${rowCount} rows`);
                resolve(dataRow);
            });
        });
    }
    async writeFileAsync(header, data) {
        const csvWriter = csv_writer_1.createObjectCsvWriter({
            path: `${this.filePath}.out.csv`,
            header
        });
        try {
            const result = await csvWriter.writeRecords(data);
            return result;
        }
        catch (error) {
            throw error;
        }
    }
}
exports.default = ProcessFile;
